<?php
/* Autoloader for phploc/phploc and its dependencies */

$vendorDir = '/usr/share/php';
require_once $vendorDir . '/SebastianBergmann/FinderFacade/autoload.php';
require_once $vendorDir . '/SebastianBergmann/Git/autoload.php';
require_once $vendorDir . '/SebastianBergmann/Version/autoload.php';

require_once $vendorDir . '/TheSeer/fDOMDocument/autoload.php';
// Use Symfony autoloader
if (!isset($fedoraClassLoader) || !($fedoraClassLoader instanceof \Symfony\Component\ClassLoader\ClassLoader)) {
    if (!class_exists('Symfony\\Component\\ClassLoader\\ClassLoader', false)) {
        require_once $vendorDir . '/Symfony/Component/ClassLoader/ClassLoader.php';
    }

    $fedoraClassLoader = new \Symfony\Component\ClassLoader\ClassLoader();
    $fedoraClassLoader->register();
}

/* For symfony/console */
$fedoraClassLoader->addPrefix('Symfony\\Component\\', $vendorDir);

spl_autoload_register(
    function($class) {
        static $classes = null;

        if ($classes === null) {
            $classes = array(
              'sebastianbergmann\\phploc\\analyser' => '/Analyser.php',
                'sebastianbergmann\\phploc\\cli\\application' => '/CLI/Application.php',
                'sebastianbergmann\\phploc\\cli\\command' => '/CLI/Command.php',
                'sebastianbergmann\\phploc\\log\\csv\\history' => '/Log/CSV/History.php',
                'sebastianbergmann\\phploc\\log\\csv\\single' => '/Log/CSV/Single.php',
                'sebastianbergmann\\phploc\\log\\text' => '/Log/Text.php',
                'sebastianbergmann\\phploc\\log\\xml' => '/Log/XML.php'
            );
        }

        $cn = strtolower($class);

        if (isset($classes[$cn])) {
            require __DIR__ . $classes[$cn];
        }
    }
);
